import { RgbaColor } from '../types';
/**
 * Converts the image data array into an RGB color array representation.
 *
 * @param imageData data property of {@link ImageData} or an array of numbers with the same shape.
 *
 * @example
 * const ctx = canvas.getContext('2d')
 * const imageData = ctx.getImageData(0, 0, 640, 480)
 *
 * const colors = convertImageDataToRgba(imageData.data)
 */
declare const convertImageDataToRgba: (imageData: Uint8ClampedArray | number[]) => RgbaColor[];
export default convertImageDataToRgba;
