/**
 * Counts the number of occurrences of each color.
 *
 * @param colors the colors that will be counted.
 * @param withAlpha whether consider or not the alpha channel while counting (default false).
 */
const rgbaCounter = (colors, withAlpha = false) => {
    const colorIndex = colors.reduce((acc, curr) => {
        var _a;
        const key = getColorKey(curr, withAlpha);
        (_a = acc[key]) !== null && _a !== void 0 ? _a : (acc[key] = { color: curr, count: 0 });
        acc[key].count++;
        return acc;
    }, {});
    return Object.values(colorIndex);
};
export default rgbaCounter;
const getColorKey = (color, withAlpha) => {
    const baseKey = `${color.r}-${color.g}-${color.b}`;
    return withAlpha ? `${baseKey}-${color.a}` : baseKey;
};
//# sourceMappingURL=rgbaCounter.js.map