import { isProduction } from './env';
import { logError } from './log';
jest.mock('./env');
const isProductionMock = isProduction;
describe('log', () => {
    it('should log error when not in production', () => {
        const consoleError = jest.spyOn(console, 'error').mockImplementation();
        logError('ok');
        expect(consoleError).toHaveBeenCalledTimes(1);
        expect(consoleError).toHaveBeenCalledWith('ok');
    });
    it('should not log error when in production', () => {
        const consoleError = jest.spyOn(console, 'error').mockImplementation();
        isProductionMock.mockReturnValue(true);
        logError('ok');
        expect(consoleError).not.toHaveBeenCalled();
    });
});
//# sourceMappingURL=log.spec.js.map